Closed Bug 1080729 Opened 7 years ago Closed 3 years ago

Re-enable admin rights for Deb Richardson (dria)

Categories

(Websites :: wiki.mozilla.org, defect)

x86
macOS
defect
Not set
normal

Tracking

(Not tracked)

RESOLVED WONTFIX

People

(Reporter: deb, Unassigned)

References

Details

(Whiteboard: [usergroups])

As discussed in email.
In order to help us review your request, please provide some more information, including:

* which rights you need and why (e.g. which actions you would like to perform)
* what your previous mediawiki experience has been (either on MozillaWiki or elsewhere) 

Thanks!
Whiteboard: [usergroups]
As previously discussed, we need to lock down editing on the Firefox for Android roadmap page, and in order to edit that I require admin rights (kar has filed another bug on that).

Previous mediawiki experience:

* I've been using wiki.mo daily for roughly 10 years and have had admin rights on it for most of that time.
* I set up, built, populated and maintained MDN for the first 2 years of its existence (it used to be a mediawiki instance).
* I managed the intranet wiki (also mediawiki) for several years.
See Also: → 1081064
(In reply to Deb Richardson [:dria] (plz NEEDINFO) from comment #2)
> As previously discussed, we need to lock down editing on the Firefox for
> Android roadmap page, and in order to edit that I require admin rights (kar
> has filed another bug on that).

Full admin rights aren't appropriate for this use case because the rights conferred by the admin group far exceed what you need to accomplish this. Adding you to the admin group for this purpose would violate the security best practice of least privilege[1].

In bug 1081064 we're discussing the best way to address your groups need to control editing on relevant mobile pages. Please join the discussion there.

If there are other tasks you need to accomplish that you can't right now, update this bug with specifics.
I forgot to include the link about the principle of least privilege:
https://en.wikipedia.org/wiki/Principle_of_least_privilege
Depends on: 1101507
Blocks: 1101507
No longer depends on: 1101507
Status: NEW → RESOLVED
Closed: 3 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.